commit:     df9568c293ee4b3e182c9434a60447798d32bb42
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  2 08:52:22 2025 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Mon Jun  2 08:52:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df9568c2

app-admin/hcloud: add 1.51.0

Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 app-admin/hcloud/Manifest             |  1 +
 app-admin/hcloud/hcloud-1.51.0.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/app-admin/hcloud/Manifest b/app-admin/hcloud/Manifest
index 761aaa84747f..7221984d00d5 100644
--- a/app-admin/hcloud/Manifest
+++ b/app-admin/hcloud/Manifest
@@ -1 +1,2 @@
 DIST hcloud-1.50.0.tar.xz 2420496 BLAKE2B 
19132156f835bb8369d2c46659455343ab908ed1b775accd07df8eeb189b08e90ef030bcbcd52d2cc0d0f61b548e97ffb64671e26b6502283d857a8db26decbe
 SHA512 
081b5f133944a7fc282943dbb59ac00d35ead0456cbf8da63c1e7a4d4cafb638eabc1a1e29915e90952c63931a0c8f270b9d36ed81ae900f06c38e9bac1e68b7
+DIST hcloud-1.51.0.tar.xz 2654224 BLAKE2B 
02c6ff3ceb2dc6bb88625ff2f69552c6c0cc48e124829432b111219a80bd76780d67bcde3935e58157fa3970318c980159fb6abdcffeb941dfafb6da2423dd8c
 SHA512 
ecb9d0fcb1945f030f5499ca48d2a4fc06e7917de1298a14812425789b1258bbe1d126fa08fc82e2af378b79923dd9571b8468aa142618dfad57e9320dacb422

diff --git a/app-admin/hcloud/hcloud-1.51.0.ebuild 
b/app-admin/hcloud/hcloud-1.51.0.ebuild
new file mode 100644
index 000000000000..a41551010d80
--- /dev/null
+++ b/app-admin/hcloud/hcloud-1.51.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="A command-line interface for Hetzner Cloud"
+HOMEPAGE="https://github.com/hetznercloud/cli";
+SRC_URI="https://dev.gentoo.org/~ago/distfiles/${P}.tar.xz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_compile() {
+       ego build -o ${PN} -ldflags "-w -X 
github.com/hetznercloud/cli/internal/version.versionPrerelease=gentoo" 
./cmd/${PN}
+}
+
+src_test() {
+       ./hcloud version
+       if [[ $? -ne 0 ]]
+       then
+               die "hcloud version test failed"
+       fi
+
+       # Avoid error like:
+       # -buildmode=pie not supported when -race is enabled on linux/amd64
+       GOFLAGS=${GOFLAGS//-buildmode=pie}
+       ego test -coverpkg=./... -coverprofile=coverage.txt -v -race ./...
+}
+
+src_install() {
+       dobin ${PN}
+}

Reply via email to